#include <GUIConstants.au3>

$mostused=IniRead("MemStats.ini","RAM","most","0")
$leastused=IniRead("MemStats.ini","RAM","least","100")
$mostusedpf=IniRead("MemStats.ini","PF","most","0")
$leastusedpf=IniRead("MemStats.ini","PF","least","100")

$mem=MemGetStats()

$Form1 = GUICreate("MemStats By AutoItKing", 588, 330)

$Group1 = GUICtrlCreateGroup("Specs", 8, 8, 249, 200)
$Label3 = GUICtrlCreateLabel("Total RAM: " & Round($mem[1]/1024,1) & " MB", 24, 40, 226, 17)
$Label3 = GUICtrlCreateLabel("Total PF: " & Round($mem[3]/1024,1) & " MB", 24, 168, 226, 17)
$Label6 = GUICtrlCreateLabel("Total C: Space: " & Round(DriveSpaceTotal("c:")/1024,1) & "GB", 24, 72, 224, 17)
$Label7 = GUICtrlCreateLabel("Available C: Space: " & Round(DriveSpaceFree("c:")/1024,1) & "GB", 24, 104, 227, 17)
$Label8 = GUICtrlCreateLabel("File System: " & DriveGetFileSystem("c:"), 24, 136, 224, 17)

$Group2 = GUICtrlCreateGroup("RAM Usage", 264, 8, 315, 155)
$Progress1 = GUICtrlCreateProgress(272, 30, 300, 20)
$percent = GUICtrlCreateLabel($mem[0] & "% Percent Used", 312, 88, 100, 17)
$Label4 = GUICtrlCreateLabel(Round(($mem[1]-$mem[2])/1024,1) & "MB in use", 312, 56, 100, 17)
$Label5 = GUICtrlCreateLabel(Round($mem[2]/1024,1) & "MB available", 312, 72, 100, 17)
$most = GUICtrlCreateLabel("Most used: " & $mostused & "%", 312, 122, 100, 17)
$least = GUICtrlCreateLabel("Least used: " & $leastused & "%", 312, 139, 100, 17)

$Group3 = GUICtrlCreateGroup("Page File Usage", 264, 168, 315, 155)
$Progress2 = GUICtrlCreateProgress(272, 190, 300, 20)
$pfpercent = GUICtrlCreateLabel(Round(($mem[3]-$mem[4])/$mem[3],0) & "% Percent Used", 312, 88+160, 100, 17)
$pfuse = GUICtrlCreateLabel(Round(($mem[3]-$mem[4])/1024,1) & "MB in use", 312, 56+160, 100, 17,)
$pfavail = GUICtrlCreateLabel(Round($mem[4]/1024,1) & "MB available", 312, 72+160, 100, 17)
$mostpf = GUICtrlCreateLabel("Most used: " & $mostusedpf & "%", 312, 122+160, 100, 17)
$leastpf = GUICtrlCreateLabel("Least used: " & $leastusedpf & "%", 312, 139+160, 100, 17)
GUISetState(@SW_SHOW)

While 1
	$nMsg = GUIGetMsg()
	$mem=MemGetStats()
	GUICtrlSetData($percent,$mem[0] & "% Percent Used")
	GUICtrlSetData($Label4,Round(($mem[1]-$mem[2])/1024,1) & "MB in use")
	GUICtrlSetData($Label5,Round($mem[2]/1024,1) & "MB available")
	GUICtrlSetData($Progress1,$mem[0])
	
	GUICtrlSetData($pfpercent,Round((($mem[3]-$mem[4])/$mem[3])*100,0) & "% Percent Used")
	GUICtrlSetData($pfuse,Round(($mem[3]-$mem[4])/1024,1) & "MB in use")
	GUICtrlSetData($pfavail,Round($mem[4]/1024,1) & "MB available")
	GUICtrlSetData($Progress2,Round((($mem[3]-$mem[4])/$mem[3])*100,0))
	If $mem[0] > $mostused Then 
		$mostused=$mem[0]
		GUICtrlSetData($most, "Most used: " & $mostused & "%")
		IniWrite("MemStats.ini","RAM","most",$mostused)
	EndIf
	If $mem[0] < $leastused Then 
		$leastused=$mem[0]
		GUICtrlSetData($least, "Least used: " & $leastused & "%")
		IniWrite("MemStats.ini","RAM","least",$leastused)
	EndIf
	
	If Round((($mem[3]-$mem[4])/$mem[3])*100,0) > $mostusedpf Then 
		$mostusedpf=Round((($mem[3]-$mem[4])/$mem[3])*100,0)
		GUICtrlSetData($mostpf, "Most used: " & $mostusedpf & "%")
		IniWrite("MemStats.ini","PF","most",$mostusedpf)
	EndIf
	If Round((($mem[3]-$mem[4])/$mem[3])*100,0) < $leastusedpf Then 
		$leastusedpf=Round((($mem[3]-$mem[4])/$mem[3])*100,0)
		GUICtrlSetData($leastpf, "Least used: " & $leastusedpf & "%")
		IniWrite("MemStats.ini","PF","least",$leastusedpf)
	EndIf
	Sleep(50)
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
	EndSwitch
WEnd
